Redmine - Patch #756

Patch for #443 (Subtasking)
2008-03-01 03:45 - sunday walker

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description
original trunk (r1182)
implemented Subject Note
- you-can-see-a-tree-likerepresentationin feature removed
the-browse-issuespage (performancellissue, plural pages issue)
i I e
Y alse you can see this tree in the gantt -
chart (like in MS Project)
v csv outline_level for ms-project (issues -
page)
v you can see a tree-like representation in -
the PDF (issues page, gantt chart)
v the parent task's done percentage is the -
sum of the subtasks' done percentages
v {eryoucan-configureitinthe-options -
whether-i-sheuld-sum-er-net}
you can select whether to sum it whether
to not set the value
v the parent task's deadline is the deadline |-
of the last subtask
Y the parent task's spent time is the sum of |-
the subtasks' spent times
v the parent task's priority is the highest of -
the subtasks' priorties
Y the parent task's start is the start of the -
first subtask
v the parent task's due date is the due date |-
of the last subtask
History
#1 - 2008-03-06 13:14 - sunday walker
- File expanded.png added
- File white.png added

| forgot to attach it.

#2 - 2008-05-02 22:02 - Lane Roathe
- Assignee set to Jean-Philippe Lang

This sounds like a great patch that should be added to the base code. Being able to see multiple sub projects as part of the view is a common

request.

| tried to apply this to the current trunk, but the differences are to great.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1182

Any chance this can get applied to the trunk?

(Jean, I apologize if assigning this to you is the wrong thing to do, wasn't sure how else to make sure you saw it. If there is a policy for this, let me

know.)

#3 - 2008-11-25 14:46 - Aleksei Gusev

Please, take a look at the following patch. Maybe it will be useful for you. Thanks! http://www.redmine.org/attachments/1178/subissues.diff

#4 - 2009-05-12 06:01 - Brad Rushworth

Aleksei Gusev wrote:

Please, take a look at the following patch. Maybe it will be useful for you. Thanks! http://www.redmine.org/attachments/1178/subissues.diff

This file has been updated. See here:

e http://www.redmine.org/issues/443#note-95
¢ http:/www.redmine.org/attachments/1840/subissues-v1.8.diff

There is also this plugin:
e http://www.redmine.org/boards/3/topics/4701#message-5724

I'm not sure which option is better. Could someone suggest? I'm using 0.8.2.

#5 - 2009-11-23 14:58 - Mischa The Evil
Added relation to #443.

#6 - 2010-03-23 16:07 - Vladimir Dzalbo

Jean,

So, if | understand correctly there's no plan to implement the 'tree' structure in the issues list view? Is that correct?

Thanks for your time!

#7 - 2010-03-23 16:41 - Jean-Philippe Lang

No. It's just that it's not implemented yet. It will be added in the near future.

#8 - 2010-07-07 13:47 - Holger Just

- Status changed from New to Closed

The Subtasks feature from #443 is included in the trunk. This patch is thus most probably obsolete.
